Package org.eclipse.graphiti.ui.editor

# Class DiagramEditorActionBarContributor

java.lang.Object
org.eclipse.ui.part.EditorActionBarContributor
org.eclipse.gef.ui.actions.ActionBarContributor
org.eclipse.graphiti.ui.editor.DiagramEditorActionBarContributor

All Implemented Interfaces:
  `org.eclipse.ui.IEditorActionBarContributor`

public class DiagramEditorActionBarContributor extends org.eclipse.gef.ui.actions.ActionBarContributor
Provides some standard-actions and adds them to the toolbar or the toplevel-menu.

Some of the standard-actions are: undo/redo, delete, copy/paste, alignment, zooming.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MENU_ID_VIEW`
The menu ID of the Graphiti view menu that is added by this action bar contributor to the main menu.

## Constructor Summary

Constructors
Constructor
Description
`DiagramEditorActionBarContributor()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addSaveAsImageEntryToMenu(org.eclipse.jface.action.IMenuManager menubar)`
Adds the save as image menu entry to the main menu.
`protected void`
`buildActions()`
Creates and initialises all Actions.
`void`
`contributeToMenu(org.eclipse.jface.action.IMenuManager menubar)`
Adds Actions to the given IMenuManager, which is displayed as the main-menu of Eclipse.
`void`
`contributeToToolBar(org.eclipse.jface.action.IToolBarManager tbm)`
Adds Actions to the given IToolBarManager, which is displayed above the editor.
`protected void`
`declareGlobalActionKeys()`
Global action keys are already declared with `ActionBarContributor.addRetargetAction(RetargetAction)`.

### Methods inherited from class org.eclipse.gef.ui.actions.ActionBarContributor

`addAction, addGlobalActionKey, addRetargetAction, dispose, getAction, getActionRegistry, init, setActiveEditor`

### Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor

`contributeToCoolBar, contributeToStatusLine, getActionBars, getPage, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MENU_ID_VIEW

public static final String MENU_ID_VIEW
The menu ID of the Graphiti view menu that is added by this action bar contributor to the main menu.

Since:
  0.12
See Also:
  - Constant Field Values

## Constructor Details

### DiagramEditorActionBarContributor

public DiagramEditorActionBarContributor()

## Method Details

### buildActions

protected void buildActions()
Creates and initialises all Actions. See the corresponding method in the super class.

Specified by:
  `buildActions` in class `org.eclipse.gef.ui.actions.ActionBarContributor`
See Also:
  - `ActionBarContributor`

### declareGlobalActionKeys

protected void declareGlobalActionKeys()
Global action keys are already declared with `ActionBarContributor.addRetargetAction(RetargetAction)`. See the corresponding method in the super class.

Specified by:
  `declareGlobalActionKeys` in class `org.eclipse.gef.ui.actions.ActionBarContributor`
See Also:
  - `ActionBarContributor`

### contributeToToolBar

public void contributeToToolBar(org.eclipse.jface.action.IToolBarManager tbm)
Adds Actions to the given IToolBarManager, which is displayed above the editor. See the corresponding method in the super class.

Overrides:
  `contributeToToolBar` in class `org.eclipse.ui.part.EditorActionBarContributor`
Parameters:
  `tbm` - the `IToolBarManager`
See Also:
  - `EditorActionBarContributor`

### contributeToMenu

public void contributeToMenu(org.eclipse.jface.action.IMenuManager menubar)
Adds Actions to the given IMenuManager, which is displayed as the main-menu of Eclipse. See the corresponding method in the super class.

Overrides:
  `contributeToMenu` in class `org.eclipse.ui.part.EditorActionBarContributor`
Parameters:
  `menubar` - the menubar
See Also:
  - `EditorActionBarContributor`

### addSaveAsImageEntryToMenu

protected void addSaveAsImageEntryToMenu(org.eclipse.jface.action.IMenuManager menubar)
Adds the save as image menu entry to the main menu. The default implementation adds it to the file menu right after the export submenu. Clients can override to change the location of the entry, e.g. because in their RCP application there is no export entry.

Parameters:
  `menubar` - The main menu bar to add to
Since:
  0.11
See Also:
  - `ISaveImageFeature`